function model = build_fitrgp(x,f)

    try
        model = fitrgp(x,f,'KernelFunction','ardsquaredexponential');
    catch % if cholesky error then execute
        for res = 1:10
            phi0(res,:) = rand(9,1)*10;
            sigma0(res) = rand*10;
            try
                tmp_model = fitrgp(x,f,'KernelFunction','ardsquaredexponential','KernelParameters',phi0(res,:),'Sigma',sigma0(res),'KFold',5);
                loss(res)=kfoldLoss(tmp_model);
            catch
                loss(res)=inf;
            end
        end
        [~,sorted_ind] = sort(loss);      
        for i = 1:length(sorted_ind)
            try 
                ind = sorted_ind(i);
                model = fitrgp(x,f,'KernelFunction','ardsquaredexponential','KernelParameters',...
                    phi0(ind,:),'Sigma',sigma0(ind));
                break                
            catch
            end            
        end
    end