function plot_results(ftr,fnotr,ref)
    n = size(ftr,1);
    for i = 1:n
        pvtr = fast_nondominated_sort(ftr(1:i,:));
        hvtr(i) = hypervolume(pvtr{1},ref,10000);
        
        pvnotr = fast_nondominated_sort(fnotr(1:i,:));
        hvnotr(i) = hypervolume(pvnotr{1},ref,10000);
    end    


plot(hvtr,'r<');hold on
plot(hvnotr,'bo')
xlabel('Function Evaluations')
ylabel('Hypervolume')
end